POST
/auditList workspace audit log entries
Lists audit log entries for the workspace. Use the fields in the request body to filter entries, control access to admin-visible items, and navigate between pages. Access requires workspace admin rights.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Optional filters and pagination controls for workspace audit log entries. All fields are optional.
actorIdstringoptional
Filter entries by the UUID of the user who performed the action.
endDatestringoptional
Filter entries to those occurring on or before this ISO 8601 datetime.
eventstringoptional
Exact event name, for example `page.updated`.
resourceIdstringoptional
Filter entries by the UUID of the affected resource.
resourceTypestringoptional
Resource type, for example `page` or `space`.
spaceIdstringoptional
Filter entries by the UUID of the space.
startDatestringoptional
Filter entries to those occurring on or after this ISO 8601 datetime.
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns a paginated set of audit log entries.
dataobjectoptional
statusintegeroptional
successbooleanoptional
403Returned when the authenticated user lacks workspace admin rights or audit logs are not included in the current licence.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 403 is returned when you lack workspace admin rights or audit logs are not included in the current licence. limit must be between 1 and 100, and cursor and beforeCursor must use base64-encoded values.